<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.activebpel</groupId>
    <artifactId>engine</artifactId>
    <version>4.1-uca17-SNAPSHOT</version>
  </parent>

  <artifactId>rt.bpeladmin.war</artifactId>
  <packaging>war</packaging>
  <name>ActiveBPEL::BpelAdmin WAR</name>

  <properties>
    <subdir.name>BpelAdmin</subdir.name>
  </properties>

  <!-- If you change this, do not forget to update the POM for rt.ear! -->
  <dependencies>
    <dependency>
      <groupId>org.activebpel</groupId>
      <artifactId>rt.bpeladmin</artifactId>
      <version>${project.version}</version>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <dependencies>
          <dependency>
            <groupId>org.activebpel</groupId>
            <artifactId>subdir-webapp-assembly</artifactId>
            <version>${project.version}</version>
          </dependency>
        </dependencies>
        <executions>
          <execution>
            <id>subdir-webapp</id>
            <phase>package</phase>
            <goals><goal>single</goal></goals>
            <configuration>
              <descriptors>
                <descriptor>subdir-webapp.xml</descriptor>
              </descriptors>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
